Package com.io7m.coffeepick.adoptopenjdk_v3

# Class AOJRepositoryProvider

java.lang.Object
com.io7m.coffeepick.adoptopenjdk_v3.AOJRepositoryProvider

All Implemented Interfaces:
  `RuntimeRepositoryProviderType`

    public final class AOJRepositoryProvider
    extends java.lang.Object
    implements RuntimeRepositoryProviderType

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `PROVIDER_NAME` | The name of the provider.
  `static java.net.URI` | `PROVIDER_URI` | The URI of the provider.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AOJRepositoryProvider()` | Construct a provider.
  `AOJRepositoryProvider​(net.adoptopenjdk.v3.api.AOV3ClientProviderType inClients)` | Construct a provider.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `name()` |
  `RuntimeRepositoryType` | `openRepository​(RuntimeRepositoryContextType context)` | Create a new repository.
  `java.net.URI` | `uri()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROVIDER_URI

    public static final java.net.URI PROVIDER_URI
    The URI of the provider.

  - ### PROVIDER_NAME

    public static final java.lang.String PROVIDER_NAME
    The name of the provider.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AOJRepositoryProvider

    public AOJRepositoryProvider()
    Construct a provider.

  - ### AOJRepositoryProvider

    public AOJRepositoryProvider​(net.adoptopenjdk.v3.api.AOV3ClientProviderType inClients)
    Construct a provider.
    Parameters:
      `inClients` - A provider of AdoptOpenJDK clients

- ## Method Details

  - ### uri

    public java.net.URI uri()
    Specified by:
      `uri` in interface `RuntimeRepositoryProviderType`
    Returns:
      The URI that uniquely identifies this repository

  - ### name

    public java.lang.String name()
    Specified by:
      `name` in interface `RuntimeRepositoryProviderType`
    Returns:
      The name of the repository

  - ### openRepository

    public RuntimeRepositoryType openRepository​(RuntimeRepositoryContextType context) throws java.io.IOException
    Description copied from interface: `RuntimeRepositoryProviderType`
    Create a new repository.
    Specified by:
      `openRepository` in interface `RuntimeRepositoryProviderType`
    Parameters:
      `context` - The runtime repository context
    Returns:
      A new repository
    Throws:
      `java.io.IOException` - On I/O errors